<!-- refund 退款 -->

<template>
  <div>

    <van-cell-group class="">
      <van-field label="处理方式" @click="showPick" :value="form.apply_type|BaseData('refund','apply_type')" placeholder="请选择" readonly is-link>
      </van-field>
      <van-field v-show="form.apply_type!=3" v-model="form.refund_amount" label="退款金额(元)" readonly />
      <van-field label="上传凭证">
        <div slot="input">
          <zwUpload ref="zwUpload" v-model="form.refund_credit" />
        </div>
      </van-field>
      <van-field label="退款说明" rows="2" type="textarea" autosize v-model="form.reason" placeholder="退款说明" />
    </van-cell-group>
    <div class="pr10 pl10">
      <div class="m_btn mt50" @click="submit">提交申请</div>
    </div>
    <zwPopupPick :show.sync="show" v-model="form.apply_type" :columns="GetBaseData('refund','apply_type')"></zwPopupPick>

  </div>
</template>

<script>
import zwPopupPick from '@/components/zwPopupPick'
import zwUpload from '@/components/zwUpload'
export default {
  name: 'refund',
  components: { zwUpload, zwPopupPick },
  data() {
    return {
      info: {},
      form: {
        id: '', //订单id	
        apply_type: '', //refund.apply_type
        refund_amount: '', //退款总额(根据情况展示,全部退款时不展示,后期部分退款时展示金额,后端会验证金额合法性)
        refund_credit: [], //退款凭证,多图
        reason: '', //退款原因	
      },
      show: false,
      check: true,
    }
  },
  created() {
    this.init()
  },
  beforeDestroy() {
    sessionStorage.refundData = ''
  },
  methods: {
    //初始化方法
    init() {
      this.initData()
    },
    initData() {
      let info = sessionStorage.refundData && JSON.parse(sessionStorage.refundData) || {}
      this.info = info
      this.form.id = info.id
      this.form.refund_amount = info.total_amount
      if(info.status == 1){
        this.form.apply_type = 2
        this.check = true
      }

    },

    //提交
    submit() {
      this.m_loading()
      this.form.refund_credit = this.$refs.zwUpload.getImgUrl()
      this.api.refund(this.form).then(res => {
        this.m_hideLoading()
        this.m_success('提交成功')
        setTimeout(() => {
          this.$router.go(-1)
        }, 1500);

      })
    },

    showPick() {
      if (!this.check) {
        return
      }
      this.show = true
    }


  },
}

</script>
<style lang='scss' scoped>
</style>